var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
/**
 * 下注逻辑
 */
var Bet = (function () {
    function Bet() {
        this._chipValue = 0;
        this.chipPoolNodes = {};
    }
    Object.defineProperty(Bet, "instance", {
        get: function () {
            if (!this._instance) {
                this._instance = new Bet();
            }
            return this._instance;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Bet.prototype, "chipValue", {
        get: function () {
            return this._chipValue;
        },
        set: function (chipValue) {
            this._chipValue = chipValue;
        },
        enumerable: true,
        configurable: true
    });
    Bet.prototype.getBetView = function () {
        return this.uiBet = UIController.instance.createView(UI_Bet);
    };
    Bet.prototype.setChipNodes = function (nodePool) {
        var _this = this;
        nodePool.forEach(function (node) {
            var key = "" + node.chipValue + node.size;
            if (!_this.chipPoolNodes[key]) {
                _this.chipPoolNodes[key] = [];
            }
            _this.chipPoolNodes[key].push(node);
        });
    };
    Bet.prototype.getChipNodes = function (chipValue, size) {
        var key = "" + chipValue + size;
        if (!this.chipPoolNodes[key]) {
            this.chipPoolNodes[key] = [];
        }
        if (this.chipPoolNodes[key].length) {
            console.log('节点池读取');
            return this.chipPoolNodes[key].pop();
        }
        else {
            console.log('新建节点');
            return new UI_ChipItem(chipValue, size);
        }
    };
    Bet.prototype.largeChipIn = function (contaniner, stageX, stageY) {
        var chipNode = this.getChipNodes(this.chipValue, CHIPSIZE.LARGE);
        this.uiBet.chipIn(contaniner, stageX, stageY, chipNode);
    };
    Bet.prototype.smallChipIn = function (contaniner, stageX, stageY) {
        var chipNode = this.getChipNodes(this.chipValue, CHIPSIZE.SMALL);
        this.uiBet.chipIn(contaniner, stageX, stageY, chipNode);
    };
    //TODO render gamestart
    Bet.prototype.renderGameStart = function () {
        this.uiBet.renderGameStart();
    };
    //TODO render lotteryInfo
    Bet.prototype.renderLotteryInfo = function () {
        this.uiBet.renderLotteryInfo();
    };
    return Bet;
}());
__reflect(Bet.prototype, "Bet");
