var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
/**
 * 主页逻辑
 */
var Index = (function () {
    function Index() {
        this.openIndexView();
        GameMgr.instance.addEventListener(SocketEvent.PROTO_MSG, this.onRecieved, this);
    }
    Object.defineProperty(Index, "instance", {
        get: function () {
            if (!this._instance) {
                this._instance = new Index();
            }
            return this._instance;
        },
        enumerable: true,
        configurable: true
    });
    Index.prototype.onRecieved = function (ev) {
        var protoId = ev.protoId, length = ev.length;
        if (length == 0)
            return;
        if (protoId == Protocol.gameInfo) {
            var gameInfo = SocketMgr.instance.handleProtobufMsg(ev.message, pb_11_play.pbGame);
            this.uiIndex.renderGameInfo(gameInfo);
        }
        else if (protoId == Protocol.lottery) {
            var lotteryInfo = SocketMgr.instance.handleProtobufMsg(ev.message, pb_11_play.pbLottery);
            this.uiIndex.renderLotteryInfo(lotteryInfo);
        }
    };
    Index.prototype.openIndexView = function () {
        console.log('openIndexView');
        this.uiIndex = UIController.instance.createView(UI_Index);
    };
    Index.prototype.setMusicToggle = function (selected) {
        this.uiIndex && this.uiIndex.setMusicToggle(selected);
    };
    Index.prototype.release = function () {
    };
    return Index;
}());
__reflect(Index.prototype, "Index");
