var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
/**
 * 用于显示错误信息以及其他提示
 */
var AlertMgr = (function () {
    function AlertMgr() {
        this.alertMsg = [];
    }
    Object.defineProperty(AlertMgr, "instance", {
        get: function () {
            if (!this._instance) {
                this._instance = new AlertMgr();
            }
            return this._instance;
        },
        enumerable: true,
        configurable: true
    });
    AlertMgr.prototype.register = function () {
    };
    AlertMgr.prototype.onReceived = function (ev) {
    };
    AlertMgr.prototype.showAlert = function (msg) {
        var _this = this;
        if (!this.uiAlert) {
            this.uiAlert = UIController.instance.alertView(UI_Alert);
        }
        this.uiAlert.visible = true;
        this.uiAlert.showAlert(msg);
        setTimeout(function () {
            _this.hideAlert();
        }, 2000);
    };
    AlertMgr.prototype.hideAlert = function () {
        this.uiAlert.visible = false;
    };
    AlertMgr.prototype.release = function () {
    };
    return AlertMgr;
}());
__reflect(AlertMgr.prototype, "AlertMgr");
