var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
var __extends = this && this.__extends || function __extends(t, e) { 
 function r() { 
 this.constructor = t;
}
for (var i in e) e.hasOwnProperty(i) && (t[i] = e[i]);
r.prototype = e.prototype, t.prototype = new r();
};
var UI_AutoDetail = (function (_super) {
    __extends(UI_AutoDetail, _super);
    function UI_AutoDetail() {
        return _super.call(this) || this;
    }
    /**
     * 绑定事件
     */
    UI_AutoDetail.prototype.bindEvents = function () {
        _super.prototype.bindEvents.call(this);
        mouse.setButtonMode(this.btnClose, true);
        this.btnClose.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onBtnClose, this);
    };
    /**
     * 创建完成时调用
     */
    UI_AutoDetail.prototype.onCreate = function () {
        _super.prototype.onCreate.call(this);
        this.render();
        this.onLangChange();
    };
    UI_AutoDetail.prototype.onBtnClose = function () {
        Auto.instance.closeAutoDetailView();
    };
    /**
     * 渲染UI时调用
     */
    UI_AutoDetail.prototype.render = function () {
        this.horizontalCenter = "0";
        this.verticalCenter = "0";
        this.detailScroller.verticalScrollBar.thumb.source = "pc_json.pc_board10";
        this.detailList.itemRenderer = UI_AutoDetailItem;
        this.detailList.dataProvider = new eui.ArrayCollection();
    };
    /**
     * 改变语言时调用
     */
    UI_AutoDetail.prototype.onLangChange = function (ev) {
        var Auto = Lang.instance.lang().Auto;
        this.titleDetail.text = Auto.titleDetail;
        this.autoDetailTips.text = Auto.autoDetailTips;
        var arr = [];
        for (var i = 0; i < 50; i++) {
            var obj = [];
            arr.push(obj);
        }
        this.detailList.dataProvider.source = arr;
    };
    /**
     * 界面关闭时调用
     */
    UI_AutoDetail.prototype.onClose = function () {
    };
    return UI_AutoDetail;
}(UIBaseComponent));
__reflect(UI_AutoDetail.prototype, "UI_AutoDetail");
