var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
var __extends = this && this.__extends || function __extends(t, e) { 
 function r() { 
 this.constructor = t;
}
for (var i in e) e.hasOwnProperty(i) && (t[i] = e[i]);
r.prototype = e.prototype, t.prototype = new r();
};
var UI_ChipItem = (function (_super) {
    __extends(UI_ChipItem, _super);
    function UI_ChipItem(chipValue, size) {
        var _this = _super.call(this) || this;
        _this.chipValue = chipValue;
        _this.size = size;
        return _this;
    }
    /**
     * 绑定事件
     */
    UI_ChipItem.prototype.bindEvents = function () {
        _super.prototype.bindEvents.call(this);
    };
    /**
     * 创建完成时调用
     */
    UI_ChipItem.prototype.onCreate = function () {
        _super.prototype.onCreate.call(this);
        this.render();
        this.onLangChange();
    };
    /**
     * 渲染UI时调用
     */
    UI_ChipItem.prototype.render = function () {
        var _this = this;
        this.anchorOffsetX = this.width / 2;
        this.anchorOffsetY = this.height / 2;
        var config = chipConfig.filter(function (config) {
            return config.value == _this.chipValue;
        }).pop();
        this.chipItemImage.source = config.bg;
        this.chipItemImage.scaleX = this.size == CHIPSIZE.LARGE ? 1 : 0.7;
        this.chipItemImage.scaleY = this.chipItemImage.scaleX;
        this.labelDisplay.size = 18 * this.chipItemImage.scaleX;
        this.labelDisplay.text = config.value.toString();
        this.labelDisplay.textColor = config.color;
    };
    /**
     * 改变语言时调用
     */
    UI_ChipItem.prototype.onLangChange = function (ev) {
    };
    /**
     * 界面关闭时调用
     */
    UI_ChipItem.prototype.onClose = function () {
    };
    return UI_ChipItem;
}(UIBaseComponent));
__reflect(UI_ChipItem.prototype, "UI_ChipItem");
