declare class Eos {
    abiBinToJson: Function;
    abiJsonToBin: Function;
    bidname: Function;
    buyram: Function;
    buyrambytes: Function;
    canceldelay: Function;
    claimrewards: Function;
    config: {
        abiCache: Object,
        broadcast: boolean,
        chainId: string,
        debug: boolean,
        httpEndpoint: string,
        logger: Object,
        network: number,
        sign: boolean,
        verbose: boolean
    };
    contract: Function;
    create: Function;
    createTransaction: Function;
    delegatebw: Function;
    deleteauth: Function;
    getAbi: Function;
    getAccount: Function;
    getActions: Function;
    getBlock: Function;
    getBlockHeaderState: Function;
    getCode: Function;
    getCodeHash: Function;
    getControlledAccounts: Function;
    getCurrencyBalance: Function;
    getCurrencyStats: Function;
    getInfo: Function;
    getKeyAccounts: Function;
    getProducerSchedule: Function;
    getProducers: Function;
    getRawCodeAndAbi: Function;
    getRequiredKeys: Function;
    getScheduledTransactions: Function;
    getTableRows: Function;
    getTransaction: Function;
    issue: Function;
    linkauth: Function;
    modules: {
        format: {
            DecimalImply: (t, e) => void;
            DecimalPad: (t, e) => void;
            DecimalString: (t, e) => void;
            DecimalUnimply: (t, e) => void;
            ULong: (t) => void;
            decodeName: (t) => void;
            decodeNameHex: (t) => void;
            encodeName: (t) => void;
            encodeNameHex: (t) => void;
            isName: (t, e) => void;
            parseAsset: (t) => void;
            printAsset: (t) => void;
        }
    }
    newaccount: Function;
    nonce: Function;
    onerror: Function;
    pushBlock: Function;
    pushTransaction: Function;
    pushTransactions: Function;
    refund: Function;
    regproducer: Function;
    regproxy: Function;
    reqauth: Function;
    rmvproducer: Function;
    sellram: Function;
    setabi: Function;
    setalimits: Function;
    setcode: Function;
    setglimits: Function;
    setparams: Function;
    setpriv: Function;
    setprods: Function;
    setram: Function;
    transaction: Function;
    transfer: Function;
    undelegatebw: Function;
    unlinkauth: Function;
    unregprod: Function;
    updateauth: Function;
    voteproducer: Function;
}