/**
 * 胜率逻辑
 */
class Rate {
	private static _instance: Rate;
	static get instance(): Rate {
		if (!this._instance) {
			this._instance = new Rate();
		}
		return this._instance;
	}

	public uiRate:UI_Rate;

	public constructor() {
	}

	
	openRateView():void{
		if(this.uiRate) {
			this.uiRate.visible = true
		} else {
			Index.instance.uiIndex.addChild(this.getRateView());
		}
	}

	closeRateView():void{
		if(this.uiRate) this.uiRate.visible = false;
	}

	getRateView(): UI_Rate {
		return this.uiRate = UIController.instance.createView<UI_Rate>(UI_Rate);
	}
}