declare interface EosAccount {
	authority: string,
	blockchain: string
	name: string
}
class UserMgr {
	private static _instance: UserMgr;

	static get instance(): UserMgr {
		if (!this._instance) {
			this._instance = new UserMgr();
		}
		return this._instance;
	}
	account: EosAccount = null;

	public constructor() {
	}

	setAccount(account: EosAccount) {
		console.log('account:', account);
		this.account = account;
	}

	isLogin(): boolean {
		if (this.account) {
			return true;
		} else {
			EosMgr.instance.login();
			return false;
		}
	}

	sendUserinfo(): void {
		if (this.isLogin()) {
			SocketMgr.instance.sendProtobufMsg<pb_11_play.pbString>(Protocol.login, pb_11_play.pbString, msg => {
				msg.val = this.account.name;
			})
		}
	}

}