var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
var __extends = this && this.__extends || function __extends(t, e) { 
 function r() { 
 this.constructor = t;
}
for (var i in e) e.hasOwnProperty(i) && (t[i] = e[i]);
r.prototype = e.prototype, t.prototype = new r();
};
/**
 * UI基类
 */
var UIBaseComponent = (function (_super) {
    __extends(UIBaseComponent, _super);
    function UIBaseComponent() {
        var _this = _super.call(this) || this;
        _this.addEventListener(eui.UIEvent.CREATION_COMPLETE, _this.bindEvents, _this);
        _this.addEventListener(eui.UIEvent.CREATION_COMPLETE, _this.onCreate, _this);
        return _this;
    }
    UIBaseComponent.prototype.createChildren = function () {
        _super.prototype.createChildren.call(this);
    };
    /**
     * 绑定事件
     */
    UIBaseComponent.prototype.bindEvents = function () {
        this.removeEventListener(eui.UIEvent.CREATION_COMPLETE, this.bindEvents, this);
        Lang.instance.addEventListener(SocketEvent.LANG_CHANGE, this.onLangChange, this);
    };
    /**
     * 创建完成时调用
     */
    UIBaseComponent.prototype.onCreate = function () {
        if (GAME_ISMOBILE) {
            this.currentState = 'h5';
            this.validateNow();
        }
        this.removeEventListener(eui.UIEvent.CREATION_COMPLETE, this.onCreate, this);
    };
    /**
     * 渲染UI时调用
     */
    UIBaseComponent.prototype.render = function () {
    };
    /**
     * 改变语言时调用
     */
    UIBaseComponent.prototype.onLangChange = function (ev) {
    };
    /**
     * 界面关闭时调用
     */
    UIBaseComponent.prototype.onClose = function () {
    };
    /**
     * 关闭此界面
     */
    UIBaseComponent.prototype.close = function () {
        Lang.instance.removeEventListener(eui.UIEvent.CREATION_COMPLETE, this.onLangChange, this);
        UIController.instance.closeView(this);
    };
    return UIBaseComponent;
}(eui.Component));
__reflect(UIBaseComponent.prototype, "UIBaseComponent");
