var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
var __extends = this && this.__extends || function __extends(t, e) { 
 function r() { 
 this.constructor = t;
}
for (var i in e) e.hasOwnProperty(i) && (t[i] = e[i]);
r.prototype = e.prototype, t.prototype = new r();
};
var UI_Auto = (function (_super) {
    __extends(UI_Auto, _super);
    function UI_Auto() {
        return _super.call(this) || this;
    }
    /**
     * 绑定事件
     */
    UI_Auto.prototype.bindEvents = function () {
        _super.prototype.bindEvents.call(this);
        var btnArr = ["btnClose", "btnAdd", "btnBack", "btnDetail", "btnComfirm"];
        for (var i = 0; i < btnArr.length; i++) {
            mouse.setButtonMode(this[btnArr[i]], true);
        }
        this.btnClose.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onBtnClose, this);
        this.btnDetail.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onBtnDetail, this);
        this.btnComfirm.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onBtnComfirm, this);
    };
    /**
     * 创建完成时调用
     */
    UI_Auto.prototype.onCreate = function () {
        _super.prototype.onCreate.call(this);
        this.render();
        this.onLangChange();
    };
    UI_Auto.prototype.onBtnClose = function () {
        Auto.instance.closeAutoView();
    };
    UI_Auto.prototype.onBtnDetail = function () {
        Auto.instance.openAutoDetailView();
    };
    UI_Auto.prototype.onBtnComfirm = function () {
        Auto.instance.closeAutoView();
    };
    /**
     * 渲染UI时调用
     */
    UI_Auto.prototype.render = function () {
    };
    /**
     * 改变语言时调用
     */
    UI_Auto.prototype.onLangChange = function (ev) {
        var _a = Lang.instance.lang(), Bet = _a.Bet, Auto = _a.Auto;
        var isZn = Lang.instance.langEnum == 0;
        var backCount = 1;
        //纯label赋值
        var txtArr = [
            "title", "autoTips", "planEos", "planCount", "planCont", "stopEos",
            "winInTotal", "gained", "reset", "detail", "period", "periodTxt",
            "stopTipL", "stopTipR", "multiChoice", "backTipL"
        ];
        for (var i = 0; i < txtArr.length; i++) {
            var index_1 = txtArr[i];
            this[index_1].text = Auto[index_1];
        }
        //庄闲和赋值
        var resultArr = ["banker", "player", "tie", "bankerPair", "playerPair"];
        for (var i = 0; i < resultArr.length; i++) {
            var index_2 = resultArr[i];
            this[index_2 + "CBox"].label = Bet[index_2].toUpperCase().replace(" ", "\n");
            this[index_2 + "CBox"].labelDisplay.size = isZn ? "30" : "18";
        }
        this.backTipR.text = backCount + " " + Auto.backTipR;
        this.atLeastL1.text = Auto.oneBet + "0.5";
        this.atLeastR1.text = Auto.atLeast;
        this.atLeastL2.text = Auto.oneBet + "0.1";
        this.atLeastR2.text = Auto.atLeast;
        this.btnAdd.label = Auto.add;
        this.btnBack.label = Auto.back;
        this.btnComfirm.label = Auto.startBetting;
        this.betEos1.text = this.betEos2.text = Auto.betEos;
    };
    /**
     * 界面关闭时调用
     */
    UI_Auto.prototype.onClose = function () {
    };
    return UI_Auto;
}(UIBaseComponent));
__reflect(UI_Auto.prototype, "UI_Auto");
