var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
var __extends = this && this.__extends || function __extends(t, e) { 
 function r() { 
 this.constructor = t;
}
for (var i in e) e.hasOwnProperty(i) && (t[i] = e[i]);
r.prototype = e.prototype, t.prototype = new r();
};
var UI_Rate = (function (_super) {
    __extends(UI_Rate, _super);
    function UI_Rate() {
        var _this = _super.call(this) || this;
        _this.isOpen = true; //视图状态-默认打开
        return _this;
    }
    /**
     * 绑定事件
     */
    UI_Rate.prototype.bindEvents = function () {
        _super.prototype.bindEvents.call(this);
        mouse.setButtonMode(this.btnClose, true);
        mouse.setButtonMode(this.btnOpen, true);
        this.btnClose.addEventListener(egret.TouchEvent.TOUCH_TAP, this.changeViewStatus, this);
        this.btnOpen.addEventListener(egret.TouchEvent.TOUCH_TAP, this.changeViewStatus, this);
        this.sbtnClose.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onSbtnClose, this);
    };
    /**
     * 创建完成时调用
     */
    UI_Rate.prototype.onCreate = function () {
        _super.prototype.onCreate.call(this);
        this.render();
        this.onLangChange();
    };
    //切换视图状态
    UI_Rate.prototype.changeViewStatus = function () {
        this.isOpen = !this.isOpen;
        this.bgOpen.visible = this.isOpen;
        this.rateScroller.visible = this.isOpen;
        this.btnClose.visible = this.isOpen;
        this.bgClose.visible = !this.isOpen;
        this.btnOpen.visible = !this.isOpen;
    };
    UI_Rate.prototype.onSbtnClose = function () {
        Rate.instance.closeRateView();
    };
    /**
     * 渲染UI时调用
     */
    UI_Rate.prototype.render = function () {
        this.typeGroup.itemRenderer = UI_RateTypeItem;
        this.typeGroup.dataProvider = new eui.ArrayCollection();
        this.rateScroller.horizontalScrollBar.thumb.source = "pc_json.pc_board10";
        this.rateList.itemRenderer = UI_RateItem;
        this.rateList.dataProvider = new eui.ArrayCollection();
        var lang = Lang.instance.lang();
        var rateTypes = [
            { "name": lang.Rate.banker, "count": 22 },
            { "name": lang.Rate.player, "count": 22 },
            { "name": lang.Rate.tie, "count": 22 },
            { "name": lang.Rate.bankerPair, "count": 22 },
            { "name": lang.Rate.playerPair, "count": 22 }
        ];
        this.typeGroup.dataProvider.source = rateTypes;
        var rateArr = [];
        for (var i = 0; i < 50; i++) {
            var obj = [];
            rateArr.push(obj);
        }
        this.rateList.dataProvider.source = rateArr;
    };
    /**
     * 改变语言时调用
     */
    UI_Rate.prototype.onLangChange = function (ev) {
        var lang = Lang.instance.lang();
        var rateTypes = [
            { "name": lang.Rate.banker, "count": 22 },
            { "name": lang.Rate.player, "count": 22 },
            { "name": lang.Rate.tie, "count": 22 },
            { "name": lang.Rate.bankerPair, "count": 22 },
            { "name": lang.Rate.playerPair, "count": 22 }
        ];
        this.rateTitle.text = lang.Rate.title;
        this.typeGroup.dataProvider.source = rateTypes;
    };
    /**
     * 界面关闭时调用
     */
    UI_Rate.prototype.onClose = function () {
    };
    return UI_Rate;
}(UIBaseComponent));
__reflect(UI_Rate.prototype, "UI_Rate");
