var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
var __extends = this && this.__extends || function __extends(t, e) { 
 function r() { 
 this.constructor = t;
}
for (var i in e) e.hasOwnProperty(i) && (t[i] = e[i]);
r.prototype = e.prototype, t.prototype = new r();
};
var UI_Trade = (function (_super) {
    __extends(UI_Trade, _super);
    function UI_Trade() {
        var _this = _super.call(this) || this;
        _this.isOpen = true; //视图状态-默认打开
        return _this;
    }
    /**
     * 绑定事件
     */
    UI_Trade.prototype.bindEvents = function () {
        _super.prototype.bindEvents.call(this);
        mouse.setButtonMode(this.btnClose, true);
        mouse.setButtonMode(this.btnOpen, true);
        this.btnClose.addEventListener(egret.TouchEvent.TOUCH_TAP, this.changeViewStatus, this);
        this.btnOpen.addEventListener(egret.TouchEvent.TOUCH_TAP, this.changeViewStatus, this);
        this.sbtnClose.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onSbtnClose, this);
    };
    /**
     * 创建完成时调用
     */
    UI_Trade.prototype.onCreate = function () {
        _super.prototype.onCreate.call(this);
        this.render();
        this.onLangChange();
    };
    //切换视图状态
    UI_Trade.prototype.changeViewStatus = function () {
        this.isOpen = !this.isOpen;
        this.btnOpen.visible = !this.isOpen;
        this.btnClose.visible = this.isOpen;
        this.groudOpen.visible = this.isOpen;
    };
    UI_Trade.prototype.onSbtnClose = function () {
        Trade.instance.closeTradeView();
    };
    /**
     * 渲染UI时调用
     */
    UI_Trade.prototype.render = function () {
        this.tradeScroller.verticalScrollBar.thumb.source = "pc_json.pc_board10";
        this.tradeList.itemRenderer = UI_TradeItem;
        this.tradeList.dataProvider = new eui.ArrayCollection();
        var arr = [];
        for (var i = 0; i < 50; i++) {
            arr.push({
                a: 1
            });
        }
        this.tradeList.dataProvider.source = arr;
    };
    /**
     * 改变语言时调用
     */
    UI_Trade.prototype.onLangChange = function (ev) {
        var lang = Lang.instance.lang();
        this.tradeTitle1.text = lang.Trade.title;
        this.btnOpen.label = lang.Trade.title;
    };
    /**
     * 界面关闭时调用
     */
    UI_Trade.prototype.onClose = function () {
    };
    return UI_Trade;
}(UIBaseComponent));
__reflect(UI_Trade.prototype, "UI_Trade");
