var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
var __extends = this && this.__extends || function __extends(t, e) { 
 function r() { 
 this.constructor = t;
}
for (var i in e) e.hasOwnProperty(i) && (t[i] = e[i]);
r.prototype = e.prototype, t.prototype = new r();
};
var UI_UserHeader = (function (_super) {
    __extends(UI_UserHeader, _super);
    function UI_UserHeader() {
        return _super.call(this) || this;
    }
    /**
     * 绑定事件
     */
    UI_UserHeader.prototype.bindEvents = function () {
        _super.prototype.bindEvents.call(this);
        mouse.setButtonMode(this.btnWithdraw, true);
        mouse.setButtonMode(this.btnFair, true);
        mouse.setButtonMode(this.btnGtQuestion, true);
        mouse.setButtonMode(this.btnEosQuestion, true);
        this.btnWithdraw.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onBtnWithdraw, this);
    };
    /**
     * 创建完成时调用
     */
    UI_UserHeader.prototype.onCreate = function () {
        _super.prototype.onCreate.call(this);
        this.render();
        this.onLangChange();
        if (GAME_ISMOBILE) {
            // this.btnWithdraw.width = 80;//BUG来的 不设置宽度不会跟随皮肤更新
            this.btnFair.parent.addChildAt(this.btnFair, 0);
        }
    };
    /**
     * 渲染UI时调用
     */
    UI_UserHeader.prototype.render = function () {
    };
    /**
     * 改变语言时调用
     */
    UI_UserHeader.prototype.onLangChange = function (ev) {
        var lang = Lang.instance.lang();
        this.eosSurplusLangText.text = lang.Userinfo.eosSurplus;
        this.btnWithdraw.label = lang.Userinfo.withdraw;
        this.btnFair.label = lang.Userinfo.fair;
        this.btnWithdraw.width = (GAME_ISMOBILE ? 40 : 23) + this.btnWithdraw.labelDisplay['width'];
    };
    //TODO user withdraw
    UI_UserHeader.prototype.onBtnWithdraw = function (ev) {
        AudiosMgr.instance.playButtonClick();
        if (UserMgr.instance.isLogin()) {
            console.log('withdraw');
        }
    };
    /**
     * 界面关闭时调用
     */
    UI_UserHeader.prototype.onClose = function () {
    };
    return UI_UserHeader;
}(UIBaseComponent));
__reflect(UI_UserHeader.prototype, "UI_UserHeader");
