var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
var __extends = this && this.__extends || function __extends(t, e) { 
 function r() { 
 this.constructor = t;
}
for (var i in e) e.hasOwnProperty(i) && (t[i] = e[i]);
r.prototype = e.prototype, t.prototype = new r();
};
/**
 * proto消息事件类
 */
var SocketEvent = (function (_super) {
    __extends(SocketEvent, _super);
    function SocketEvent(type, bubbles, cancelable) {
        if (bubbles === void 0) { bubbles = false; }
        if (cancelable === void 0) { cancelable = false; }
        var _this = _super.call(this, type, bubbles, cancelable) || this;
        /** 协议号 */
        _this.protoId = 0;
        /** 字节数组长度 */
        _this.length = 0;
        return _this;
        // 不自动创建ByteArray实例，避免只有协议号的协议导致额外的gc
        // this.message = new egret.ByteArray();
    }
    /** 事件名 */
    SocketEvent.PROTO_MSG = "PROTO_MSG";
    /** 重连事件 */
    SocketEvent.RECONNECT_MSG = "RECONNECT_MSG";
    /**语言改变 */
    SocketEvent.LANG_CHANGE = 'LANG_CHANGE';
    return SocketEvent;
}(egret.Event));
__reflect(SocketEvent.prototype, "SocketEvent");
