var $protobuf = window.protobuf;
$protobuf.roots.default=window;
// Common aliases
var $Reader = $protobuf.Reader, $Writer = $protobuf.Writer, $util = $protobuf.util;

// Exported root namespace
var $root = $protobuf.roots["default"] || ($protobuf.roots["default"] = {});

$root.pb_10_network = (function() {

    /**
     * Namespace pb_10_network.
     * @exports pb_10_network
     * @namespace
     */
    var pb_10_network = {};

    pb_10_network.pbTest = (function() {

        /**
         * Properties of a pbTest.
         * @memberof pb_10_network
         * @interface IpbTest
         * @property {number} number pbTest number
         * @property {string} string pbTest string
         */

        /**
         * Constructs a new pbTest.
         * @memberof pb_10_network
         * @classdesc Represents a pbTest.
         * @implements IpbTest
         * @constructor
         * @param {pb_10_network.IpbTest=} [properties] Properties to set
         */
        function pbTest(properties) {
            if (properties)
                for (var keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }

        /**
         * pbTest number.
         * @member {number} number
         * @memberof pb_10_network.pbTest
         * @instance
         */
        pbTest.prototype.number = 0;

        /**
         * pbTest string.
         * @member {string} string
         * @memberof pb_10_network.pbTest
         * @instance
         */
        pbTest.prototype.string = "";

        /**
         * Creates a new pbTest instance using the specified properties.
         * @function create
         * @memberof pb_10_network.pbTest
         * @static
         * @param {pb_10_network.IpbTest=} [properties] Properties to set
         * @returns {pb_10_network.pbTest} pbTest instance
         */
        pbTest.create = function create(properties) {
            return new pbTest(properties);
        };

        /**
         * Encodes the specified pbTest message. Does not implicitly {@link pb_10_network.pbTest.verify|verify} messages.
         * @function encode
         * @memberof pb_10_network.pbTest
         * @static
         * @param {pb_10_network.IpbTest} message pbTest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbTest.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            writer.uint32(/* id 1, wireType 0 =*/8).uint32(message.number);
            writer.uint32(/* id 2, wireType 2 =*/18).string(message.string);
            return writer;
        };

        /**
         * Encodes the specified pbTest message, length delimited. Does not implicitly {@link pb_10_network.pbTest.verify|verify} messages.
         * @function encodeDelimited
         * @memberof pb_10_network.pbTest
         * @static
         * @param {pb_10_network.IpbTest} message pbTest message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbTest.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };

        /**
         * Decodes a pbTest message from the specified reader or buffer.
         * @function decode
         * @memberof pb_10_network.pbTest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {pb_10_network.pbTest} pbTest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbTest.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            var end = length === undefined ? reader.len : reader.pos + length, message = new $root.pb_10_network.pbTest();
            while (reader.pos < end) {
                var tag = reader.uint32();
                switch (tag >>> 3) {
                case 1:
                    message.number = reader.uint32();
                    break;
                case 2:
                    message.string = reader.string();
                    break;
                default:
                    reader.skipType(tag & 7);
                    break;
                }
            }
            if (!message.hasOwnProperty("number"))
                throw $util.ProtocolError("missing required 'number'", { instance: message });
            if (!message.hasOwnProperty("string"))
                throw $util.ProtocolError("missing required 'string'", { instance: message });
            return message;
        };

        /**
         * Decodes a pbTest message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof pb_10_network.pbTest
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {pb_10_network.pbTest} pbTest
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbTest.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };

        /**
         * Verifies a pbTest message.
         * @function verify
         * @memberof pb_10_network.pbTest
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        pbTest.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (!$util.isInteger(message.number))
                return "number: integer expected";
            if (!$util.isString(message.string))
                return "string: string expected";
            return null;
        };

        /**
         * Creates a pbTest message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof pb_10_network.pbTest
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {pb_10_network.pbTest} pbTest
         */
        pbTest.fromObject = function fromObject(object) {
            if (object instanceof $root.pb_10_network.pbTest)
                return object;
            var message = new $root.pb_10_network.pbTest();
            if (object.number != null)
                message.number = object.number >>> 0;
            if (object.string != null)
                message.string = String(object.string);
            return message;
        };

        /**
         * Creates a plain object from a pbTest message. Also converts values to other types if specified.
         * @function toObject
         * @memberof pb_10_network.pbTest
         * @static
         * @param {pb_10_network.pbTest} message pbTest
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        pbTest.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            var object = {};
            if (options.defaults) {
                object.number = 0;
                object.string = "";
            }
            if (message.number != null && message.hasOwnProperty("number"))
                object.number = message.number;
            if (message.string != null && message.hasOwnProperty("string"))
                object.string = message.string;
            return object;
        };

        /**
         * Converts this pbTest to JSON.
         * @function toJSON
         * @memberof pb_10_network.pbTest
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        pbTest.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };

        return pbTest;
    })();

    pb_10_network.pbServerTime = (function() {

        /**
         * Properties of a pbServerTime.
         * @memberof pb_10_network
         * @interface IpbServerTime
         * @property {number} time pbServerTime time
         */

        /**
         * Constructs a new pbServerTime.
         * @memberof pb_10_network
         * @classdesc Represents a pbServerTime.
         * @implements IpbServerTime
         * @constructor
         * @param {pb_10_network.IpbServerTime=} [properties] Properties to set
         */
        function pbServerTime(properties) {
            if (properties)
                for (var keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }

        /**
         * pbServerTime time.
         * @member {number} time
         * @memberof pb_10_network.pbServerTime
         * @instance
         */
        pbServerTime.prototype.time = 0;

        /**
         * Creates a new pbServerTime instance using the specified properties.
         * @function create
         * @memberof pb_10_network.pbServerTime
         * @static
         * @param {pb_10_network.IpbServerTime=} [properties] Properties to set
         * @returns {pb_10_network.pbServerTime} pbServerTime instance
         */
        pbServerTime.create = function create(properties) {
            return new pbServerTime(properties);
        };

        /**
         * Encodes the specified pbServerTime message. Does not implicitly {@link pb_10_network.pbServerTime.verify|verify} messages.
         * @function encode
         * @memberof pb_10_network.pbServerTime
         * @static
         * @param {pb_10_network.IpbServerTime} message pbServerTime message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbServerTime.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            writer.uint32(/* id 1, wireType 0 =*/8).uint32(message.time);
            return writer;
        };

        /**
         * Encodes the specified pbServerTime message, length delimited. Does not implicitly {@link pb_10_network.pbServerTime.verify|verify} messages.
         * @function encodeDelimited
         * @memberof pb_10_network.pbServerTime
         * @static
         * @param {pb_10_network.IpbServerTime} message pbServerTime message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbServerTime.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };

        /**
         * Decodes a pbServerTime message from the specified reader or buffer.
         * @function decode
         * @memberof pb_10_network.pbServerTime
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {pb_10_network.pbServerTime} pbServerTime
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbServerTime.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            var end = length === undefined ? reader.len : reader.pos + length, message = new $root.pb_10_network.pbServerTime();
            while (reader.pos < end) {
                var tag = reader.uint32();
                switch (tag >>> 3) {
                case 1:
                    message.time = reader.uint32();
                    break;
                default:
                    reader.skipType(tag & 7);
                    break;
                }
            }
            if (!message.hasOwnProperty("time"))
                throw $util.ProtocolError("missing required 'time'", { instance: message });
            return message;
        };

        /**
         * Decodes a pbServerTime message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof pb_10_network.pbServerTime
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {pb_10_network.pbServerTime} pbServerTime
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbServerTime.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };

        /**
         * Verifies a pbServerTime message.
         * @function verify
         * @memberof pb_10_network.pbServerTime
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        pbServerTime.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (!$util.isInteger(message.time))
                return "time: integer expected";
            return null;
        };

        /**
         * Creates a pbServerTime message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof pb_10_network.pbServerTime
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {pb_10_network.pbServerTime} pbServerTime
         */
        pbServerTime.fromObject = function fromObject(object) {
            if (object instanceof $root.pb_10_network.pbServerTime)
                return object;
            var message = new $root.pb_10_network.pbServerTime();
            if (object.time != null)
                message.time = object.time >>> 0;
            return message;
        };

        /**
         * Creates a plain object from a pbServerTime message. Also converts values to other types if specified.
         * @function toObject
         * @memberof pb_10_network.pbServerTime
         * @static
         * @param {pb_10_network.pbServerTime} message pbServerTime
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        pbServerTime.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            var object = {};
            if (options.defaults)
                object.time = 0;
            if (message.time != null && message.hasOwnProperty("time"))
                object.time = message.time;
            return object;
        };

        /**
         * Converts this pbServerTime to JSON.
         * @function toJSON
         * @memberof pb_10_network.pbServerTime
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        pbServerTime.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };

        return pbServerTime;
    })();

    pb_10_network.pbErrorMsg = (function() {

        /**
         * Properties of a pbErrorMsg.
         * @memberof pb_10_network
         * @interface IpbErrorMsg
         * @property {number} code pbErrorMsg code
         * @property {string|null} [word] pbErrorMsg word
         */

        /**
         * Constructs a new pbErrorMsg.
         * @memberof pb_10_network
         * @classdesc Represents a pbErrorMsg.
         * @implements IpbErrorMsg
         * @constructor
         * @param {pb_10_network.IpbErrorMsg=} [properties] Properties to set
         */
        function pbErrorMsg(properties) {
            if (properties)
                for (var keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }

        /**
         * pbErrorMsg code.
         * @member {number} code
         * @memberof pb_10_network.pbErrorMsg
         * @instance
         */
        pbErrorMsg.prototype.code = 0;

        /**
         * pbErrorMsg word.
         * @member {string} word
         * @memberof pb_10_network.pbErrorMsg
         * @instance
         */
        pbErrorMsg.prototype.word = "";

        /**
         * Creates a new pbErrorMsg instance using the specified properties.
         * @function create
         * @memberof pb_10_network.pbErrorMsg
         * @static
         * @param {pb_10_network.IpbErrorMsg=} [properties] Properties to set
         * @returns {pb_10_network.pbErrorMsg} pbErrorMsg instance
         */
        pbErrorMsg.create = function create(properties) {
            return new pbErrorMsg(properties);
        };

        /**
         * Encodes the specified pbErrorMsg message. Does not implicitly {@link pb_10_network.pbErrorMsg.verify|verify} messages.
         * @function encode
         * @memberof pb_10_network.pbErrorMsg
         * @static
         * @param {pb_10_network.IpbErrorMsg} message pbErrorMsg message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbErrorMsg.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            writer.uint32(/* id 1, wireType 0 =*/8).uint32(message.code);
            if (message.word != null && message.hasOwnProperty("word"))
                writer.uint32(/* id 2, wireType 2 =*/18).string(message.word);
            return writer;
        };

        /**
         * Encodes the specified pbErrorMsg message, length delimited. Does not implicitly {@link pb_10_network.pbErrorMsg.verify|verify} messages.
         * @function encodeDelimited
         * @memberof pb_10_network.pbErrorMsg
         * @static
         * @param {pb_10_network.IpbErrorMsg} message pbErrorMsg message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbErrorMsg.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };

        /**
         * Decodes a pbErrorMsg message from the specified reader or buffer.
         * @function decode
         * @memberof pb_10_network.pbErrorMsg
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {pb_10_network.pbErrorMsg} pbErrorMsg
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbErrorMsg.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            var end = length === undefined ? reader.len : reader.pos + length, message = new $root.pb_10_network.pbErrorMsg();
            while (reader.pos < end) {
                var tag = reader.uint32();
                switch (tag >>> 3) {
                case 1:
                    message.code = reader.uint32();
                    break;
                case 2:
                    message.word = reader.string();
                    break;
                default:
                    reader.skipType(tag & 7);
                    break;
                }
            }
            if (!message.hasOwnProperty("code"))
                throw $util.ProtocolError("missing required 'code'", { instance: message });
            return message;
        };

        /**
         * Decodes a pbErrorMsg message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof pb_10_network.pbErrorMsg
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {pb_10_network.pbErrorMsg} pbErrorMsg
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbErrorMsg.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };

        /**
         * Verifies a pbErrorMsg message.
         * @function verify
         * @memberof pb_10_network.pbErrorMsg
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        pbErrorMsg.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (!$util.isInteger(message.code))
                return "code: integer expected";
            if (message.word != null && message.hasOwnProperty("word"))
                if (!$util.isString(message.word))
                    return "word: string expected";
            return null;
        };

        /**
         * Creates a pbErrorMsg message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof pb_10_network.pbErrorMsg
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {pb_10_network.pbErrorMsg} pbErrorMsg
         */
        pbErrorMsg.fromObject = function fromObject(object) {
            if (object instanceof $root.pb_10_network.pbErrorMsg)
                return object;
            var message = new $root.pb_10_network.pbErrorMsg();
            if (object.code != null)
                message.code = object.code >>> 0;
            if (object.word != null)
                message.word = String(object.word);
            return message;
        };

        /**
         * Creates a plain object from a pbErrorMsg message. Also converts values to other types if specified.
         * @function toObject
         * @memberof pb_10_network.pbErrorMsg
         * @static
         * @param {pb_10_network.pbErrorMsg} message pbErrorMsg
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        pbErrorMsg.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            var object = {};
            if (options.defaults) {
                object.code = 0;
                object.word = "";
            }
            if (message.code != null && message.hasOwnProperty("code"))
                object.code = message.code;
            if (message.word != null && message.hasOwnProperty("word"))
                object.word = message.word;
            return object;
        };

        /**
         * Converts this pbErrorMsg to JSON.
         * @function toJSON
         * @memberof pb_10_network.pbErrorMsg
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        pbErrorMsg.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };

        return pbErrorMsg;
    })();

    pb_10_network.pbToastMsg = (function() {

        /**
         * Properties of a pbToastMsg.
         * @memberof pb_10_network
         * @interface IpbToastMsg
         * @property {number} code pbToastMsg code
         * @property {string|null} [word] pbToastMsg word
         */

        /**
         * Constructs a new pbToastMsg.
         * @memberof pb_10_network
         * @classdesc Represents a pbToastMsg.
         * @implements IpbToastMsg
         * @constructor
         * @param {pb_10_network.IpbToastMsg=} [properties] Properties to set
         */
        function pbToastMsg(properties) {
            if (properties)
                for (var keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }

        /**
         * pbToastMsg code.
         * @member {number} code
         * @memberof pb_10_network.pbToastMsg
         * @instance
         */
        pbToastMsg.prototype.code = 0;

        /**
         * pbToastMsg word.
         * @member {string} word
         * @memberof pb_10_network.pbToastMsg
         * @instance
         */
        pbToastMsg.prototype.word = "";

        /**
         * Creates a new pbToastMsg instance using the specified properties.
         * @function create
         * @memberof pb_10_network.pbToastMsg
         * @static
         * @param {pb_10_network.IpbToastMsg=} [properties] Properties to set
         * @returns {pb_10_network.pbToastMsg} pbToastMsg instance
         */
        pbToastMsg.create = function create(properties) {
            return new pbToastMsg(properties);
        };

        /**
         * Encodes the specified pbToastMsg message. Does not implicitly {@link pb_10_network.pbToastMsg.verify|verify} messages.
         * @function encode
         * @memberof pb_10_network.pbToastMsg
         * @static
         * @param {pb_10_network.IpbToastMsg} message pbToastMsg message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbToastMsg.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            writer.uint32(/* id 1, wireType 0 =*/8).uint32(message.code);
            if (message.word != null && message.hasOwnProperty("word"))
                writer.uint32(/* id 2, wireType 2 =*/18).string(message.word);
            return writer;
        };

        /**
         * Encodes the specified pbToastMsg message, length delimited. Does not implicitly {@link pb_10_network.pbToastMsg.verify|verify} messages.
         * @function encodeDelimited
         * @memberof pb_10_network.pbToastMsg
         * @static
         * @param {pb_10_network.IpbToastMsg} message pbToastMsg message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbToastMsg.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };

        /**
         * Decodes a pbToastMsg message from the specified reader or buffer.
         * @function decode
         * @memberof pb_10_network.pbToastMsg
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {pb_10_network.pbToastMsg} pbToastMsg
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbToastMsg.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            var end = length === undefined ? reader.len : reader.pos + length, message = new $root.pb_10_network.pbToastMsg();
            while (reader.pos < end) {
                var tag = reader.uint32();
                switch (tag >>> 3) {
                case 1:
                    message.code = reader.uint32();
                    break;
                case 2:
                    message.word = reader.string();
                    break;
                default:
                    reader.skipType(tag & 7);
                    break;
                }
            }
            if (!message.hasOwnProperty("code"))
                throw $util.ProtocolError("missing required 'code'", { instance: message });
            return message;
        };

        /**
         * Decodes a pbToastMsg message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof pb_10_network.pbToastMsg
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {pb_10_network.pbToastMsg} pbToastMsg
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbToastMsg.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };

        /**
         * Verifies a pbToastMsg message.
         * @function verify
         * @memberof pb_10_network.pbToastMsg
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        pbToastMsg.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (!$util.isInteger(message.code))
                return "code: integer expected";
            if (message.word != null && message.hasOwnProperty("word"))
                if (!$util.isString(message.word))
                    return "word: string expected";
            return null;
        };

        /**
         * Creates a pbToastMsg message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof pb_10_network.pbToastMsg
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {pb_10_network.pbToastMsg} pbToastMsg
         */
        pbToastMsg.fromObject = function fromObject(object) {
            if (object instanceof $root.pb_10_network.pbToastMsg)
                return object;
            var message = new $root.pb_10_network.pbToastMsg();
            if (object.code != null)
                message.code = object.code >>> 0;
            if (object.word != null)
                message.word = String(object.word);
            return message;
        };

        /**
         * Creates a plain object from a pbToastMsg message. Also converts values to other types if specified.
         * @function toObject
         * @memberof pb_10_network.pbToastMsg
         * @static
         * @param {pb_10_network.pbToastMsg} message pbToastMsg
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        pbToastMsg.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            var object = {};
            if (options.defaults) {
                object.code = 0;
                object.word = "";
            }
            if (message.code != null && message.hasOwnProperty("code"))
                object.code = message.code;
            if (message.word != null && message.hasOwnProperty("word"))
                object.word = message.word;
            return object;
        };

        /**
         * Converts this pbToastMsg to JSON.
         * @function toJSON
         * @memberof pb_10_network.pbToastMsg
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        pbToastMsg.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };

        return pbToastMsg;
    })();

    return pb_10_network;
})();

$root.pb_11_play = (function() {

    /**
     * Namespace pb_11_play.
     * @exports pb_11_play
     * @namespace
     */
    var pb_11_play = {};

    pb_11_play.pbString = (function() {

        /**
         * Properties of a pbString.
         * @memberof pb_11_play
         * @interface IpbString
         * @property {string} val pbString val
         */

        /**
         * Constructs a new pbString.
         * @memberof pb_11_play
         * @classdesc Represents a pbString.
         * @implements IpbString
         * @constructor
         * @param {pb_11_play.IpbString=} [properties] Properties to set
         */
        function pbString(properties) {
            if (properties)
                for (var keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }

        /**
         * pbString val.
         * @member {string} val
         * @memberof pb_11_play.pbString
         * @instance
         */
        pbString.prototype.val = "";

        /**
         * Creates a new pbString instance using the specified properties.
         * @function create
         * @memberof pb_11_play.pbString
         * @static
         * @param {pb_11_play.IpbString=} [properties] Properties to set
         * @returns {pb_11_play.pbString} pbString instance
         */
        pbString.create = function create(properties) {
            return new pbString(properties);
        };

        /**
         * Encodes the specified pbString message. Does not implicitly {@link pb_11_play.pbString.verify|verify} messages.
         * @function encode
         * @memberof pb_11_play.pbString
         * @static
         * @param {pb_11_play.IpbString} message pbString message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbString.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            writer.uint32(/* id 1, wireType 2 =*/10).string(message.val);
            return writer;
        };

        /**
         * Encodes the specified pbString message, length delimited. Does not implicitly {@link pb_11_play.pbString.verify|verify} messages.
         * @function encodeDelimited
         * @memberof pb_11_play.pbString
         * @static
         * @param {pb_11_play.IpbString} message pbString message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbString.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };

        /**
         * Decodes a pbString message from the specified reader or buffer.
         * @function decode
         * @memberof pb_11_play.pbString
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {pb_11_play.pbString} pbString
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbString.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            var end = length === undefined ? reader.len : reader.pos + length, message = new $root.pb_11_play.pbString();
            while (reader.pos < end) {
                var tag = reader.uint32();
                switch (tag >>> 3) {
                case 1:
                    message.val = reader.string();
                    break;
                default:
                    reader.skipType(tag & 7);
                    break;
                }
            }
            if (!message.hasOwnProperty("val"))
                throw $util.ProtocolError("missing required 'val'", { instance: message });
            return message;
        };

        /**
         * Decodes a pbString message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof pb_11_play.pbString
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {pb_11_play.pbString} pbString
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbString.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };

        /**
         * Verifies a pbString message.
         * @function verify
         * @memberof pb_11_play.pbString
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        pbString.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (!$util.isString(message.val))
                return "val: string expected";
            return null;
        };

        /**
         * Creates a pbString message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof pb_11_play.pbString
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {pb_11_play.pbString} pbString
         */
        pbString.fromObject = function fromObject(object) {
            if (object instanceof $root.pb_11_play.pbString)
                return object;
            var message = new $root.pb_11_play.pbString();
            if (object.val != null)
                message.val = String(object.val);
            return message;
        };

        /**
         * Creates a plain object from a pbString message. Also converts values to other types if specified.
         * @function toObject
         * @memberof pb_11_play.pbString
         * @static
         * @param {pb_11_play.pbString} message pbString
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        pbString.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            var object = {};
            if (options.defaults)
                object.val = "";
            if (message.val != null && message.hasOwnProperty("val"))
                object.val = message.val;
            return object;
        };

        /**
         * Converts this pbString to JSON.
         * @function toJSON
         * @memberof pb_11_play.pbString
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        pbString.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };

        return pbString;
    })();

    pb_11_play.pbUInt32 = (function() {

        /**
         * Properties of a pbUInt32.
         * @memberof pb_11_play
         * @interface IpbUInt32
         * @property {number} val pbUInt32 val
         */

        /**
         * Constructs a new pbUInt32.
         * @memberof pb_11_play
         * @classdesc Represents a pbUInt32.
         * @implements IpbUInt32
         * @constructor
         * @param {pb_11_play.IpbUInt32=} [properties] Properties to set
         */
        function pbUInt32(properties) {
            if (properties)
                for (var keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }

        /**
         * pbUInt32 val.
         * @member {number} val
         * @memberof pb_11_play.pbUInt32
         * @instance
         */
        pbUInt32.prototype.val = 0;

        /**
         * Creates a new pbUInt32 instance using the specified properties.
         * @function create
         * @memberof pb_11_play.pbUInt32
         * @static
         * @param {pb_11_play.IpbUInt32=} [properties] Properties to set
         * @returns {pb_11_play.pbUInt32} pbUInt32 instance
         */
        pbUInt32.create = function create(properties) {
            return new pbUInt32(properties);
        };

        /**
         * Encodes the specified pbUInt32 message. Does not implicitly {@link pb_11_play.pbUInt32.verify|verify} messages.
         * @function encode
         * @memberof pb_11_play.pbUInt32
         * @static
         * @param {pb_11_play.IpbUInt32} message pbUInt32 message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbUInt32.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            writer.uint32(/* id 1, wireType 0 =*/8).uint32(message.val);
            return writer;
        };

        /**
         * Encodes the specified pbUInt32 message, length delimited. Does not implicitly {@link pb_11_play.pbUInt32.verify|verify} messages.
         * @function encodeDelimited
         * @memberof pb_11_play.pbUInt32
         * @static
         * @param {pb_11_play.IpbUInt32} message pbUInt32 message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbUInt32.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };

        /**
         * Decodes a pbUInt32 message from the specified reader or buffer.
         * @function decode
         * @memberof pb_11_play.pbUInt32
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {pb_11_play.pbUInt32} pbUInt32
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbUInt32.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            var end = length === undefined ? reader.len : reader.pos + length, message = new $root.pb_11_play.pbUInt32();
            while (reader.pos < end) {
                var tag = reader.uint32();
                switch (tag >>> 3) {
                case 1:
                    message.val = reader.uint32();
                    break;
                default:
                    reader.skipType(tag & 7);
                    break;
                }
            }
            if (!message.hasOwnProperty("val"))
                throw $util.ProtocolError("missing required 'val'", { instance: message });
            return message;
        };

        /**
         * Decodes a pbUInt32 message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof pb_11_play.pbUInt32
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {pb_11_play.pbUInt32} pbUInt32
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbUInt32.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };

        /**
         * Verifies a pbUInt32 message.
         * @function verify
         * @memberof pb_11_play.pbUInt32
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        pbUInt32.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (!$util.isInteger(message.val))
                return "val: integer expected";
            return null;
        };

        /**
         * Creates a pbUInt32 message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof pb_11_play.pbUInt32
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {pb_11_play.pbUInt32} pbUInt32
         */
        pbUInt32.fromObject = function fromObject(object) {
            if (object instanceof $root.pb_11_play.pbUInt32)
                return object;
            var message = new $root.pb_11_play.pbUInt32();
            if (object.val != null)
                message.val = object.val >>> 0;
            return message;
        };

        /**
         * Creates a plain object from a pbUInt32 message. Also converts values to other types if specified.
         * @function toObject
         * @memberof pb_11_play.pbUInt32
         * @static
         * @param {pb_11_play.pbUInt32} message pbUInt32
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        pbUInt32.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            var object = {};
            if (options.defaults)
                object.val = 0;
            if (message.val != null && message.hasOwnProperty("val"))
                object.val = message.val;
            return object;
        };

        /**
         * Converts this pbUInt32 to JSON.
         * @function toJSON
         * @memberof pb_11_play.pbUInt32
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        pbUInt32.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };

        return pbUInt32;
    })();

    pb_11_play.pbUser = (function() {

        /**
         * Properties of a pbUser.
         * @memberof pb_11_play
         * @interface IpbUser
         * @property {string} account pbUser account
         * @property {string} eos pbUser eos
         * @property {string} gt pbUser gt
         */

        /**
         * Constructs a new pbUser.
         * @memberof pb_11_play
         * @classdesc Represents a pbUser.
         * @implements IpbUser
         * @constructor
         * @param {pb_11_play.IpbUser=} [properties] Properties to set
         */
        function pbUser(properties) {
            if (properties)
                for (var keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }

        /**
         * pbUser account.
         * @member {string} account
         * @memberof pb_11_play.pbUser
         * @instance
         */
        pbUser.prototype.account = "";

        /**
         * pbUser eos.
         * @member {string} eos
         * @memberof pb_11_play.pbUser
         * @instance
         */
        pbUser.prototype.eos = "";

        /**
         * pbUser gt.
         * @member {string} gt
         * @memberof pb_11_play.pbUser
         * @instance
         */
        pbUser.prototype.gt = "";

        /**
         * Creates a new pbUser instance using the specified properties.
         * @function create
         * @memberof pb_11_play.pbUser
         * @static
         * @param {pb_11_play.IpbUser=} [properties] Properties to set
         * @returns {pb_11_play.pbUser} pbUser instance
         */
        pbUser.create = function create(properties) {
            return new pbUser(properties);
        };

        /**
         * Encodes the specified pbUser message. Does not implicitly {@link pb_11_play.pbUser.verify|verify} messages.
         * @function encode
         * @memberof pb_11_play.pbUser
         * @static
         * @param {pb_11_play.IpbUser} message pbUser message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbUser.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            writer.uint32(/* id 1, wireType 2 =*/10).string(message.account);
            writer.uint32(/* id 2, wireType 2 =*/18).string(message.eos);
            writer.uint32(/* id 3, wireType 2 =*/26).string(message.gt);
            return writer;
        };

        /**
         * Encodes the specified pbUser message, length delimited. Does not implicitly {@link pb_11_play.pbUser.verify|verify} messages.
         * @function encodeDelimited
         * @memberof pb_11_play.pbUser
         * @static
         * @param {pb_11_play.IpbUser} message pbUser message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbUser.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };

        /**
         * Decodes a pbUser message from the specified reader or buffer.
         * @function decode
         * @memberof pb_11_play.pbUser
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {pb_11_play.pbUser} pbUser
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbUser.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            var end = length === undefined ? reader.len : reader.pos + length, message = new $root.pb_11_play.pbUser();
            while (reader.pos < end) {
                var tag = reader.uint32();
                switch (tag >>> 3) {
                case 1:
                    message.account = reader.string();
                    break;
                case 2:
                    message.eos = reader.string();
                    break;
                case 3:
                    message.gt = reader.string();
                    break;
                default:
                    reader.skipType(tag & 7);
                    break;
                }
            }
            if (!message.hasOwnProperty("account"))
                throw $util.ProtocolError("missing required 'account'", { instance: message });
            if (!message.hasOwnProperty("eos"))
                throw $util.ProtocolError("missing required 'eos'", { instance: message });
            if (!message.hasOwnProperty("gt"))
                throw $util.ProtocolError("missing required 'gt'", { instance: message });
            return message;
        };

        /**
         * Decodes a pbUser message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof pb_11_play.pbUser
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {pb_11_play.pbUser} pbUser
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbUser.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };

        /**
         * Verifies a pbUser message.
         * @function verify
         * @memberof pb_11_play.pbUser
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        pbUser.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (!$util.isString(message.account))
                return "account: string expected";
            if (!$util.isString(message.eos))
                return "eos: string expected";
            if (!$util.isString(message.gt))
                return "gt: string expected";
            return null;
        };

        /**
         * Creates a pbUser message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof pb_11_play.pbUser
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {pb_11_play.pbUser} pbUser
         */
        pbUser.fromObject = function fromObject(object) {
            if (object instanceof $root.pb_11_play.pbUser)
                return object;
            var message = new $root.pb_11_play.pbUser();
            if (object.account != null)
                message.account = String(object.account);
            if (object.eos != null)
                message.eos = String(object.eos);
            if (object.gt != null)
                message.gt = String(object.gt);
            return message;
        };

        /**
         * Creates a plain object from a pbUser message. Also converts values to other types if specified.
         * @function toObject
         * @memberof pb_11_play.pbUser
         * @static
         * @param {pb_11_play.pbUser} message pbUser
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        pbUser.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            var object = {};
            if (options.defaults) {
                object.account = "";
                object.eos = "";
                object.gt = "";
            }
            if (message.account != null && message.hasOwnProperty("account"))
                object.account = message.account;
            if (message.eos != null && message.hasOwnProperty("eos"))
                object.eos = message.eos;
            if (message.gt != null && message.hasOwnProperty("gt"))
                object.gt = message.gt;
            return object;
        };

        /**
         * Converts this pbUser to JSON.
         * @function toJSON
         * @memberof pb_11_play.pbUser
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        pbUser.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };

        return pbUser;
    })();

    pb_11_play.pbBet = (function() {

        /**
         * Properties of a pbBet.
         * @memberof pb_11_play
         * @interface IpbBet
         * @property {number} type pbBet type
         * @property {string} account pbBet account
         * @property {number} counter pbBet counter
         * @property {number} quantity pbBet quantity
         * @property {string|null} [total] pbBet total
         * @property {number|null} [x] pbBet x
         * @property {number|null} [y] pbBet y
         */

        /**
         * Constructs a new pbBet.
         * @memberof pb_11_play
         * @classdesc Represents a pbBet.
         * @implements IpbBet
         * @constructor
         * @param {pb_11_play.IpbBet=} [properties] Properties to set
         */
        function pbBet(properties) {
            if (properties)
                for (var keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }

        /**
         * pbBet type.
         * @member {number} type
         * @memberof pb_11_play.pbBet
         * @instance
         */
        pbBet.prototype.type = 0;

        /**
         * pbBet account.
         * @member {string} account
         * @memberof pb_11_play.pbBet
         * @instance
         */
        pbBet.prototype.account = "";

        /**
         * pbBet counter.
         * @member {number} counter
         * @memberof pb_11_play.pbBet
         * @instance
         */
        pbBet.prototype.counter = 0;

        /**
         * pbBet quantity.
         * @member {number} quantity
         * @memberof pb_11_play.pbBet
         * @instance
         */
        pbBet.prototype.quantity = 0;

        /**
         * pbBet total.
         * @member {string} total
         * @memberof pb_11_play.pbBet
         * @instance
         */
        pbBet.prototype.total = "";

        /**
         * pbBet x.
         * @member {number} x
         * @memberof pb_11_play.pbBet
         * @instance
         */
        pbBet.prototype.x = 0;

        /**
         * pbBet y.
         * @member {number} y
         * @memberof pb_11_play.pbBet
         * @instance
         */
        pbBet.prototype.y = 0;

        /**
         * Creates a new pbBet instance using the specified properties.
         * @function create
         * @memberof pb_11_play.pbBet
         * @static
         * @param {pb_11_play.IpbBet=} [properties] Properties to set
         * @returns {pb_11_play.pbBet} pbBet instance
         */
        pbBet.create = function create(properties) {
            return new pbBet(properties);
        };

        /**
         * Encodes the specified pbBet message. Does not implicitly {@link pb_11_play.pbBet.verify|verify} messages.
         * @function encode
         * @memberof pb_11_play.pbBet
         * @static
         * @param {pb_11_play.IpbBet} message pbBet message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbBet.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            writer.uint32(/* id 1, wireType 0 =*/8).uint32(message.type);
            writer.uint32(/* id 2, wireType 2 =*/18).string(message.account);
            writer.uint32(/* id 3, wireType 0 =*/24).uint32(message.counter);
            writer.uint32(/* id 4, wireType 0 =*/32).uint32(message.quantity);
            if (message.total != null && message.hasOwnProperty("total"))
                writer.uint32(/* id 5, wireType 2 =*/42).string(message.total);
            if (message.x != null && message.hasOwnProperty("x"))
                writer.uint32(/* id 6, wireType 0 =*/48).uint32(message.x);
            if (message.y != null && message.hasOwnProperty("y"))
                writer.uint32(/* id 7, wireType 0 =*/56).uint32(message.y);
            return writer;
        };

        /**
         * Encodes the specified pbBet message, length delimited. Does not implicitly {@link pb_11_play.pbBet.verify|verify} messages.
         * @function encodeDelimited
         * @memberof pb_11_play.pbBet
         * @static
         * @param {pb_11_play.IpbBet} message pbBet message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbBet.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };

        /**
         * Decodes a pbBet message from the specified reader or buffer.
         * @function decode
         * @memberof pb_11_play.pbBet
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {pb_11_play.pbBet} pbBet
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbBet.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            var end = length === undefined ? reader.len : reader.pos + length, message = new $root.pb_11_play.pbBet();
            while (reader.pos < end) {
                var tag = reader.uint32();
                switch (tag >>> 3) {
                case 1:
                    message.type = reader.uint32();
                    break;
                case 2:
                    message.account = reader.string();
                    break;
                case 3:
                    message.counter = reader.uint32();
                    break;
                case 4:
                    message.quantity = reader.uint32();
                    break;
                case 5:
                    message.total = reader.string();
                    break;
                case 6:
                    message.x = reader.uint32();
                    break;
                case 7:
                    message.y = reader.uint32();
                    break;
                default:
                    reader.skipType(tag & 7);
                    break;
                }
            }
            if (!message.hasOwnProperty("type"))
                throw $util.ProtocolError("missing required 'type'", { instance: message });
            if (!message.hasOwnProperty("account"))
                throw $util.ProtocolError("missing required 'account'", { instance: message });
            if (!message.hasOwnProperty("counter"))
                throw $util.ProtocolError("missing required 'counter'", { instance: message });
            if (!message.hasOwnProperty("quantity"))
                throw $util.ProtocolError("missing required 'quantity'", { instance: message });
            return message;
        };

        /**
         * Decodes a pbBet message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof pb_11_play.pbBet
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {pb_11_play.pbBet} pbBet
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbBet.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };

        /**
         * Verifies a pbBet message.
         * @function verify
         * @memberof pb_11_play.pbBet
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        pbBet.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (!$util.isInteger(message.type))
                return "type: integer expected";
            if (!$util.isString(message.account))
                return "account: string expected";
            if (!$util.isInteger(message.counter))
                return "counter: integer expected";
            if (!$util.isInteger(message.quantity))
                return "quantity: integer expected";
            if (message.total != null && message.hasOwnProperty("total"))
                if (!$util.isString(message.total))
                    return "total: string expected";
            if (message.x != null && message.hasOwnProperty("x"))
                if (!$util.isInteger(message.x))
                    return "x: integer expected";
            if (message.y != null && message.hasOwnProperty("y"))
                if (!$util.isInteger(message.y))
                    return "y: integer expected";
            return null;
        };

        /**
         * Creates a pbBet message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof pb_11_play.pbBet
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {pb_11_play.pbBet} pbBet
         */
        pbBet.fromObject = function fromObject(object) {
            if (object instanceof $root.pb_11_play.pbBet)
                return object;
            var message = new $root.pb_11_play.pbBet();
            if (object.type != null)
                message.type = object.type >>> 0;
            if (object.account != null)
                message.account = String(object.account);
            if (object.counter != null)
                message.counter = object.counter >>> 0;
            if (object.quantity != null)
                message.quantity = object.quantity >>> 0;
            if (object.total != null)
                message.total = String(object.total);
            if (object.x != null)
                message.x = object.x >>> 0;
            if (object.y != null)
                message.y = object.y >>> 0;
            return message;
        };

        /**
         * Creates a plain object from a pbBet message. Also converts values to other types if specified.
         * @function toObject
         * @memberof pb_11_play.pbBet
         * @static
         * @param {pb_11_play.pbBet} message pbBet
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        pbBet.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            var object = {};
            if (options.defaults) {
                object.type = 0;
                object.account = "";
                object.counter = 0;
                object.quantity = 0;
                object.total = "";
                object.x = 0;
                object.y = 0;
            }
            if (message.type != null && message.hasOwnProperty("type"))
                object.type = message.type;
            if (message.account != null && message.hasOwnProperty("account"))
                object.account = message.account;
            if (message.counter != null && message.hasOwnProperty("counter"))
                object.counter = message.counter;
            if (message.quantity != null && message.hasOwnProperty("quantity"))
                object.quantity = message.quantity;
            if (message.total != null && message.hasOwnProperty("total"))
                object.total = message.total;
            if (message.x != null && message.hasOwnProperty("x"))
                object.x = message.x;
            if (message.y != null && message.hasOwnProperty("y"))
                object.y = message.y;
            return object;
        };

        /**
         * Converts this pbBet to JSON.
         * @function toJSON
         * @memberof pb_11_play.pbBet
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        pbBet.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };

        return pbBet;
    })();

    pb_11_play.pbBetList = (function() {

        /**
         * Properties of a pbBetList.
         * @memberof pb_11_play
         * @interface IpbBetList
         * @property {Array.<pb_11_play.IpbBet>|null} [list] pbBetList list
         */

        /**
         * Constructs a new pbBetList.
         * @memberof pb_11_play
         * @classdesc Represents a pbBetList.
         * @implements IpbBetList
         * @constructor
         * @param {pb_11_play.IpbBetList=} [properties] Properties to set
         */
        function pbBetList(properties) {
            this.list = [];
            if (properties)
                for (var keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }

        /**
         * pbBetList list.
         * @member {Array.<pb_11_play.IpbBet>} list
         * @memberof pb_11_play.pbBetList
         * @instance
         */
        pbBetList.prototype.list = $util.emptyArray;

        /**
         * Creates a new pbBetList instance using the specified properties.
         * @function create
         * @memberof pb_11_play.pbBetList
         * @static
         * @param {pb_11_play.IpbBetList=} [properties] Properties to set
         * @returns {pb_11_play.pbBetList} pbBetList instance
         */
        pbBetList.create = function create(properties) {
            return new pbBetList(properties);
        };

        /**
         * Encodes the specified pbBetList message. Does not implicitly {@link pb_11_play.pbBetList.verify|verify} messages.
         * @function encode
         * @memberof pb_11_play.pbBetList
         * @static
         * @param {pb_11_play.IpbBetList} message pbBetList message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbBetList.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.list != null && message.list.length)
                for (var i = 0; i < message.list.length; ++i)
                    $root.pb_11_play.pbBet.encode(message.list[i], writer.uint32(/* id 1, wireType 2 =*/10).fork()).ldelim();
            return writer;
        };

        /**
         * Encodes the specified pbBetList message, length delimited. Does not implicitly {@link pb_11_play.pbBetList.verify|verify} messages.
         * @function encodeDelimited
         * @memberof pb_11_play.pbBetList
         * @static
         * @param {pb_11_play.IpbBetList} message pbBetList message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbBetList.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };

        /**
         * Decodes a pbBetList message from the specified reader or buffer.
         * @function decode
         * @memberof pb_11_play.pbBetList
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {pb_11_play.pbBetList} pbBetList
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbBetList.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            var end = length === undefined ? reader.len : reader.pos + length, message = new $root.pb_11_play.pbBetList();
            while (reader.pos < end) {
                var tag = reader.uint32();
                switch (tag >>> 3) {
                case 1:
                    if (!(message.list && message.list.length))
                        message.list = [];
                    message.list.push($root.pb_11_play.pbBet.decode(reader, reader.uint32()));
                    break;
                default:
                    reader.skipType(tag & 7);
                    break;
                }
            }
            return message;
        };

        /**
         * Decodes a pbBetList message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof pb_11_play.pbBetList
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {pb_11_play.pbBetList} pbBetList
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbBetList.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };

        /**
         * Verifies a pbBetList message.
         * @function verify
         * @memberof pb_11_play.pbBetList
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        pbBetList.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.list != null && message.hasOwnProperty("list")) {
                if (!Array.isArray(message.list))
                    return "list: array expected";
                for (var i = 0; i < message.list.length; ++i) {
                    var error = $root.pb_11_play.pbBet.verify(message.list[i]);
                    if (error)
                        return "list." + error;
                }
            }
            return null;
        };

        /**
         * Creates a pbBetList message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof pb_11_play.pbBetList
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {pb_11_play.pbBetList} pbBetList
         */
        pbBetList.fromObject = function fromObject(object) {
            if (object instanceof $root.pb_11_play.pbBetList)
                return object;
            var message = new $root.pb_11_play.pbBetList();
            if (object.list) {
                if (!Array.isArray(object.list))
                    throw TypeError(".pb_11_play.pbBetList.list: array expected");
                message.list = [];
                for (var i = 0; i < object.list.length; ++i) {
                    if (typeof object.list[i] !== "object")
                        throw TypeError(".pb_11_play.pbBetList.list: object expected");
                    message.list[i] = $root.pb_11_play.pbBet.fromObject(object.list[i]);
                }
            }
            return message;
        };

        /**
         * Creates a plain object from a pbBetList message. Also converts values to other types if specified.
         * @function toObject
         * @memberof pb_11_play.pbBetList
         * @static
         * @param {pb_11_play.pbBetList} message pbBetList
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        pbBetList.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            var object = {};
            if (options.arrays || options.defaults)
                object.list = [];
            if (message.list && message.list.length) {
                object.list = [];
                for (var j = 0; j < message.list.length; ++j)
                    object.list[j] = $root.pb_11_play.pbBet.toObject(message.list[j], options);
            }
            return object;
        };

        /**
         * Converts this pbBetList to JSON.
         * @function toJSON
         * @memberof pb_11_play.pbBetList
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        pbBetList.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };

        return pbBetList;
    })();

    pb_11_play.pbBetInfo = (function() {

        /**
         * Properties of a pbBetInfo.
         * @memberof pb_11_play
         * @interface IpbBetInfo
         * @property {number} type pbBetInfo type
         * @property {Array.<pb_11_play.IpbBet>|null} [list] pbBetInfo list
         */

        /**
         * Constructs a new pbBetInfo.
         * @memberof pb_11_play
         * @classdesc Represents a pbBetInfo.
         * @implements IpbBetInfo
         * @constructor
         * @param {pb_11_play.IpbBetInfo=} [properties] Properties to set
         */
        function pbBetInfo(properties) {
            this.list = [];
            if (properties)
                for (var keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }

        /**
         * pbBetInfo type.
         * @member {number} type
         * @memberof pb_11_play.pbBetInfo
         * @instance
         */
        pbBetInfo.prototype.type = 0;

        /**
         * pbBetInfo list.
         * @member {Array.<pb_11_play.IpbBet>} list
         * @memberof pb_11_play.pbBetInfo
         * @instance
         */
        pbBetInfo.prototype.list = $util.emptyArray;

        /**
         * Creates a new pbBetInfo instance using the specified properties.
         * @function create
         * @memberof pb_11_play.pbBetInfo
         * @static
         * @param {pb_11_play.IpbBetInfo=} [properties] Properties to set
         * @returns {pb_11_play.pbBetInfo} pbBetInfo instance
         */
        pbBetInfo.create = function create(properties) {
            return new pbBetInfo(properties);
        };

        /**
         * Encodes the specified pbBetInfo message. Does not implicitly {@link pb_11_play.pbBetInfo.verify|verify} messages.
         * @function encode
         * @memberof pb_11_play.pbBetInfo
         * @static
         * @param {pb_11_play.IpbBetInfo} message pbBetInfo message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbBetInfo.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            writer.uint32(/* id 1, wireType 0 =*/8).uint32(message.type);
            if (message.list != null && message.list.length)
                for (var i = 0; i < message.list.length; ++i)
                    $root.pb_11_play.pbBet.encode(message.list[i], writer.uint32(/* id 2, wireType 2 =*/18).fork()).ldelim();
            return writer;
        };

        /**
         * Encodes the specified pbBetInfo message, length delimited. Does not implicitly {@link pb_11_play.pbBetInfo.verify|verify} messages.
         * @function encodeDelimited
         * @memberof pb_11_play.pbBetInfo
         * @static
         * @param {pb_11_play.IpbBetInfo} message pbBetInfo message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbBetInfo.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };

        /**
         * Decodes a pbBetInfo message from the specified reader or buffer.
         * @function decode
         * @memberof pb_11_play.pbBetInfo
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {pb_11_play.pbBetInfo} pbBetInfo
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbBetInfo.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            var end = length === undefined ? reader.len : reader.pos + length, message = new $root.pb_11_play.pbBetInfo();
            while (reader.pos < end) {
                var tag = reader.uint32();
                switch (tag >>> 3) {
                case 1:
                    message.type = reader.uint32();
                    break;
                case 2:
                    if (!(message.list && message.list.length))
                        message.list = [];
                    message.list.push($root.pb_11_play.pbBet.decode(reader, reader.uint32()));
                    break;
                default:
                    reader.skipType(tag & 7);
                    break;
                }
            }
            if (!message.hasOwnProperty("type"))
                throw $util.ProtocolError("missing required 'type'", { instance: message });
            return message;
        };

        /**
         * Decodes a pbBetInfo message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof pb_11_play.pbBetInfo
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {pb_11_play.pbBetInfo} pbBetInfo
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbBetInfo.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };

        /**
         * Verifies a pbBetInfo message.
         * @function verify
         * @memberof pb_11_play.pbBetInfo
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        pbBetInfo.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (!$util.isInteger(message.type))
                return "type: integer expected";
            if (message.list != null && message.hasOwnProperty("list")) {
                if (!Array.isArray(message.list))
                    return "list: array expected";
                for (var i = 0; i < message.list.length; ++i) {
                    var error = $root.pb_11_play.pbBet.verify(message.list[i]);
                    if (error)
                        return "list." + error;
                }
            }
            return null;
        };

        /**
         * Creates a pbBetInfo message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof pb_11_play.pbBetInfo
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {pb_11_play.pbBetInfo} pbBetInfo
         */
        pbBetInfo.fromObject = function fromObject(object) {
            if (object instanceof $root.pb_11_play.pbBetInfo)
                return object;
            var message = new $root.pb_11_play.pbBetInfo();
            if (object.type != null)
                message.type = object.type >>> 0;
            if (object.list) {
                if (!Array.isArray(object.list))
                    throw TypeError(".pb_11_play.pbBetInfo.list: array expected");
                message.list = [];
                for (var i = 0; i < object.list.length; ++i) {
                    if (typeof object.list[i] !== "object")
                        throw TypeError(".pb_11_play.pbBetInfo.list: object expected");
                    message.list[i] = $root.pb_11_play.pbBet.fromObject(object.list[i]);
                }
            }
            return message;
        };

        /**
         * Creates a plain object from a pbBetInfo message. Also converts values to other types if specified.
         * @function toObject
         * @memberof pb_11_play.pbBetInfo
         * @static
         * @param {pb_11_play.pbBetInfo} message pbBetInfo
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        pbBetInfo.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            var object = {};
            if (options.arrays || options.defaults)
                object.list = [];
            if (options.defaults)
                object.type = 0;
            if (message.type != null && message.hasOwnProperty("type"))
                object.type = message.type;
            if (message.list && message.list.length) {
                object.list = [];
                for (var j = 0; j < message.list.length; ++j)
                    object.list[j] = $root.pb_11_play.pbBet.toObject(message.list[j], options);
            }
            return object;
        };

        /**
         * Converts this pbBetInfo to JSON.
         * @function toJSON
         * @memberof pb_11_play.pbBetInfo
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        pbBetInfo.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };

        return pbBetInfo;
    })();

    pb_11_play.pbGame = (function() {

        /**
         * Properties of a pbGame.
         * @memberof pb_11_play
         * @interface IpbGame
         * @property {number} id pbGame id
         * @property {number} state pbGame state
         * @property {number} time pbGame time
         * @property {Array.<pb_11_play.IpbBetInfo>|null} [bet] pbGame bet
         * @property {string} seed pbGame seed
         */

        /**
         * Constructs a new pbGame.
         * @memberof pb_11_play
         * @classdesc Represents a pbGame.
         * @implements IpbGame
         * @constructor
         * @param {pb_11_play.IpbGame=} [properties] Properties to set
         */
        function pbGame(properties) {
            this.bet = [];
            if (properties)
                for (var keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }

        /**
         * pbGame id.
         * @member {number} id
         * @memberof pb_11_play.pbGame
         * @instance
         */
        pbGame.prototype.id = 0;

        /**
         * pbGame state.
         * @member {number} state
         * @memberof pb_11_play.pbGame
         * @instance
         */
        pbGame.prototype.state = 0;

        /**
         * pbGame time.
         * @member {number} time
         * @memberof pb_11_play.pbGame
         * @instance
         */
        pbGame.prototype.time = 0;

        /**
         * pbGame bet.
         * @member {Array.<pb_11_play.IpbBetInfo>} bet
         * @memberof pb_11_play.pbGame
         * @instance
         */
        pbGame.prototype.bet = $util.emptyArray;

        /**
         * pbGame seed.
         * @member {string} seed
         * @memberof pb_11_play.pbGame
         * @instance
         */
        pbGame.prototype.seed = "";

        /**
         * Creates a new pbGame instance using the specified properties.
         * @function create
         * @memberof pb_11_play.pbGame
         * @static
         * @param {pb_11_play.IpbGame=} [properties] Properties to set
         * @returns {pb_11_play.pbGame} pbGame instance
         */
        pbGame.create = function create(properties) {
            return new pbGame(properties);
        };

        /**
         * Encodes the specified pbGame message. Does not implicitly {@link pb_11_play.pbGame.verify|verify} messages.
         * @function encode
         * @memberof pb_11_play.pbGame
         * @static
         * @param {pb_11_play.IpbGame} message pbGame message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbGame.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            writer.uint32(/* id 1, wireType 0 =*/8).uint32(message.id);
            writer.uint32(/* id 2, wireType 0 =*/16).uint32(message.state);
            writer.uint32(/* id 3, wireType 0 =*/24).uint32(message.time);
            if (message.bet != null && message.bet.length)
                for (var i = 0; i < message.bet.length; ++i)
                    $root.pb_11_play.pbBetInfo.encode(message.bet[i], writer.uint32(/* id 4, wireType 2 =*/34).fork()).ldelim();
            writer.uint32(/* id 5, wireType 2 =*/42).string(message.seed);
            return writer;
        };

        /**
         * Encodes the specified pbGame message, length delimited. Does not implicitly {@link pb_11_play.pbGame.verify|verify} messages.
         * @function encodeDelimited
         * @memberof pb_11_play.pbGame
         * @static
         * @param {pb_11_play.IpbGame} message pbGame message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbGame.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };

        /**
         * Decodes a pbGame message from the specified reader or buffer.
         * @function decode
         * @memberof pb_11_play.pbGame
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {pb_11_play.pbGame} pbGame
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbGame.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            var end = length === undefined ? reader.len : reader.pos + length, message = new $root.pb_11_play.pbGame();
            while (reader.pos < end) {
                var tag = reader.uint32();
                switch (tag >>> 3) {
                case 1:
                    message.id = reader.uint32();
                    break;
                case 2:
                    message.state = reader.uint32();
                    break;
                case 3:
                    message.time = reader.uint32();
                    break;
                case 4:
                    if (!(message.bet && message.bet.length))
                        message.bet = [];
                    message.bet.push($root.pb_11_play.pbBetInfo.decode(reader, reader.uint32()));
                    break;
                case 5:
                    message.seed = reader.string();
                    break;
                default:
                    reader.skipType(tag & 7);
                    break;
                }
            }
            if (!message.hasOwnProperty("id"))
                throw $util.ProtocolError("missing required 'id'", { instance: message });
            if (!message.hasOwnProperty("state"))
                throw $util.ProtocolError("missing required 'state'", { instance: message });
            if (!message.hasOwnProperty("time"))
                throw $util.ProtocolError("missing required 'time'", { instance: message });
            if (!message.hasOwnProperty("seed"))
                throw $util.ProtocolError("missing required 'seed'", { instance: message });
            return message;
        };

        /**
         * Decodes a pbGame message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof pb_11_play.pbGame
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {pb_11_play.pbGame} pbGame
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbGame.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };

        /**
         * Verifies a pbGame message.
         * @function verify
         * @memberof pb_11_play.pbGame
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        pbGame.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (!$util.isInteger(message.id))
                return "id: integer expected";
            if (!$util.isInteger(message.state))
                return "state: integer expected";
            if (!$util.isInteger(message.time))
                return "time: integer expected";
            if (message.bet != null && message.hasOwnProperty("bet")) {
                if (!Array.isArray(message.bet))
                    return "bet: array expected";
                for (var i = 0; i < message.bet.length; ++i) {
                    var error = $root.pb_11_play.pbBetInfo.verify(message.bet[i]);
                    if (error)
                        return "bet." + error;
                }
            }
            if (!$util.isString(message.seed))
                return "seed: string expected";
            return null;
        };

        /**
         * Creates a pbGame message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof pb_11_play.pbGame
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {pb_11_play.pbGame} pbGame
         */
        pbGame.fromObject = function fromObject(object) {
            if (object instanceof $root.pb_11_play.pbGame)
                return object;
            var message = new $root.pb_11_play.pbGame();
            if (object.id != null)
                message.id = object.id >>> 0;
            if (object.state != null)
                message.state = object.state >>> 0;
            if (object.time != null)
                message.time = object.time >>> 0;
            if (object.bet) {
                if (!Array.isArray(object.bet))
                    throw TypeError(".pb_11_play.pbGame.bet: array expected");
                message.bet = [];
                for (var i = 0; i < object.bet.length; ++i) {
                    if (typeof object.bet[i] !== "object")
                        throw TypeError(".pb_11_play.pbGame.bet: object expected");
                    message.bet[i] = $root.pb_11_play.pbBetInfo.fromObject(object.bet[i]);
                }
            }
            if (object.seed != null)
                message.seed = String(object.seed);
            return message;
        };

        /**
         * Creates a plain object from a pbGame message. Also converts values to other types if specified.
         * @function toObject
         * @memberof pb_11_play.pbGame
         * @static
         * @param {pb_11_play.pbGame} message pbGame
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        pbGame.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            var object = {};
            if (options.arrays || options.defaults)
                object.bet = [];
            if (options.defaults) {
                object.id = 0;
                object.state = 0;
                object.time = 0;
                object.seed = "";
            }
            if (message.id != null && message.hasOwnProperty("id"))
                object.id = message.id;
            if (message.state != null && message.hasOwnProperty("state"))
                object.state = message.state;
            if (message.time != null && message.hasOwnProperty("time"))
                object.time = message.time;
            if (message.bet && message.bet.length) {
                object.bet = [];
                for (var j = 0; j < message.bet.length; ++j)
                    object.bet[j] = $root.pb_11_play.pbBetInfo.toObject(message.bet[j], options);
            }
            if (message.seed != null && message.hasOwnProperty("seed"))
                object.seed = message.seed;
            return object;
        };

        /**
         * Converts this pbGame to JSON.
         * @function toJSON
         * @memberof pb_11_play.pbGame
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        pbGame.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };

        return pbGame;
    })();

    pb_11_play.pbLottery = (function() {

        /**
         * Properties of a pbLottery.
         * @memberof pb_11_play
         * @interface IpbLottery
         * @property {Array.<number>|null} [player] pbLottery player
         * @property {Array.<number>|null} [banker] pbLottery banker
         * @property {string} result pbLottery result
         * @property {boolean} playerPair pbLottery playerPair
         * @property {boolean} bankerPair pbLottery bankerPair
         */

        /**
         * Constructs a new pbLottery.
         * @memberof pb_11_play
         * @classdesc Represents a pbLottery.
         * @implements IpbLottery
         * @constructor
         * @param {pb_11_play.IpbLottery=} [properties] Properties to set
         */
        function pbLottery(properties) {
            this.player = [];
            this.banker = [];
            if (properties)
                for (var keys = Object.keys(properties), i = 0; i < keys.length; ++i)
                    if (properties[keys[i]] != null)
                        this[keys[i]] = properties[keys[i]];
        }

        /**
         * pbLottery player.
         * @member {Array.<number>} player
         * @memberof pb_11_play.pbLottery
         * @instance
         */
        pbLottery.prototype.player = $util.emptyArray;

        /**
         * pbLottery banker.
         * @member {Array.<number>} banker
         * @memberof pb_11_play.pbLottery
         * @instance
         */
        pbLottery.prototype.banker = $util.emptyArray;

        /**
         * pbLottery result.
         * @member {string} result
         * @memberof pb_11_play.pbLottery
         * @instance
         */
        pbLottery.prototype.result = "";

        /**
         * pbLottery playerPair.
         * @member {boolean} playerPair
         * @memberof pb_11_play.pbLottery
         * @instance
         */
        pbLottery.prototype.playerPair = false;

        /**
         * pbLottery bankerPair.
         * @member {boolean} bankerPair
         * @memberof pb_11_play.pbLottery
         * @instance
         */
        pbLottery.prototype.bankerPair = false;

        /**
         * Creates a new pbLottery instance using the specified properties.
         * @function create
         * @memberof pb_11_play.pbLottery
         * @static
         * @param {pb_11_play.IpbLottery=} [properties] Properties to set
         * @returns {pb_11_play.pbLottery} pbLottery instance
         */
        pbLottery.create = function create(properties) {
            return new pbLottery(properties);
        };

        /**
         * Encodes the specified pbLottery message. Does not implicitly {@link pb_11_play.pbLottery.verify|verify} messages.
         * @function encode
         * @memberof pb_11_play.pbLottery
         * @static
         * @param {pb_11_play.IpbLottery} message pbLottery message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbLottery.encode = function encode(message, writer) {
            if (!writer)
                writer = $Writer.create();
            if (message.player != null && message.player.length)
                for (var i = 0; i < message.player.length; ++i)
                    writer.uint32(/* id 1, wireType 0 =*/8).uint32(message.player[i]);
            if (message.banker != null && message.banker.length)
                for (var i = 0; i < message.banker.length; ++i)
                    writer.uint32(/* id 2, wireType 0 =*/16).uint32(message.banker[i]);
            writer.uint32(/* id 3, wireType 2 =*/26).string(message.result);
            writer.uint32(/* id 4, wireType 0 =*/32).bool(message.playerPair);
            writer.uint32(/* id 5, wireType 0 =*/40).bool(message.bankerPair);
            return writer;
        };

        /**
         * Encodes the specified pbLottery message, length delimited. Does not implicitly {@link pb_11_play.pbLottery.verify|verify} messages.
         * @function encodeDelimited
         * @memberof pb_11_play.pbLottery
         * @static
         * @param {pb_11_play.IpbLottery} message pbLottery message or plain object to encode
         * @param {$protobuf.Writer} [writer] Writer to encode to
         * @returns {$protobuf.Writer} Writer
         */
        pbLottery.encodeDelimited = function encodeDelimited(message, writer) {
            return this.encode(message, writer).ldelim();
        };

        /**
         * Decodes a pbLottery message from the specified reader or buffer.
         * @function decode
         * @memberof pb_11_play.pbLottery
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @param {number} [length] Message length if known beforehand
         * @returns {pb_11_play.pbLottery} pbLottery
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbLottery.decode = function decode(reader, length) {
            if (!(reader instanceof $Reader))
                reader = $Reader.create(reader);
            var end = length === undefined ? reader.len : reader.pos + length, message = new $root.pb_11_play.pbLottery();
            while (reader.pos < end) {
                var tag = reader.uint32();
                switch (tag >>> 3) {
                case 1:
                    if (!(message.player && message.player.length))
                        message.player = [];
                    if ((tag & 7) === 2) {
                        var end2 = reader.uint32() + reader.pos;
                        while (reader.pos < end2)
                            message.player.push(reader.uint32());
                    } else
                        message.player.push(reader.uint32());
                    break;
                case 2:
                    if (!(message.banker && message.banker.length))
                        message.banker = [];
                    if ((tag & 7) === 2) {
                        var end2 = reader.uint32() + reader.pos;
                        while (reader.pos < end2)
                            message.banker.push(reader.uint32());
                    } else
                        message.banker.push(reader.uint32());
                    break;
                case 3:
                    message.result = reader.string();
                    break;
                case 4:
                    message.playerPair = reader.bool();
                    break;
                case 5:
                    message.bankerPair = reader.bool();
                    break;
                default:
                    reader.skipType(tag & 7);
                    break;
                }
            }
            if (!message.hasOwnProperty("result"))
                throw $util.ProtocolError("missing required 'result'", { instance: message });
            if (!message.hasOwnProperty("playerPair"))
                throw $util.ProtocolError("missing required 'playerPair'", { instance: message });
            if (!message.hasOwnProperty("bankerPair"))
                throw $util.ProtocolError("missing required 'bankerPair'", { instance: message });
            return message;
        };

        /**
         * Decodes a pbLottery message from the specified reader or buffer, length delimited.
         * @function decodeDelimited
         * @memberof pb_11_play.pbLottery
         * @static
         * @param {$protobuf.Reader|Uint8Array} reader Reader or buffer to decode from
         * @returns {pb_11_play.pbLottery} pbLottery
         * @throws {Error} If the payload is not a reader or valid buffer
         * @throws {$protobuf.util.ProtocolError} If required fields are missing
         */
        pbLottery.decodeDelimited = function decodeDelimited(reader) {
            if (!(reader instanceof $Reader))
                reader = new $Reader(reader);
            return this.decode(reader, reader.uint32());
        };

        /**
         * Verifies a pbLottery message.
         * @function verify
         * @memberof pb_11_play.pbLottery
         * @static
         * @param {Object.<string,*>} message Plain object to verify
         * @returns {string|null} `null` if valid, otherwise the reason why it is not
         */
        pbLottery.verify = function verify(message) {
            if (typeof message !== "object" || message === null)
                return "object expected";
            if (message.player != null && message.hasOwnProperty("player")) {
                if (!Array.isArray(message.player))
                    return "player: array expected";
                for (var i = 0; i < message.player.length; ++i)
                    if (!$util.isInteger(message.player[i]))
                        return "player: integer[] expected";
            }
            if (message.banker != null && message.hasOwnProperty("banker")) {
                if (!Array.isArray(message.banker))
                    return "banker: array expected";
                for (var i = 0; i < message.banker.length; ++i)
                    if (!$util.isInteger(message.banker[i]))
                        return "banker: integer[] expected";
            }
            if (!$util.isString(message.result))
                return "result: string expected";
            if (typeof message.playerPair !== "boolean")
                return "playerPair: boolean expected";
            if (typeof message.bankerPair !== "boolean")
                return "bankerPair: boolean expected";
            return null;
        };

        /**
         * Creates a pbLottery message from a plain object. Also converts values to their respective internal types.
         * @function fromObject
         * @memberof pb_11_play.pbLottery
         * @static
         * @param {Object.<string,*>} object Plain object
         * @returns {pb_11_play.pbLottery} pbLottery
         */
        pbLottery.fromObject = function fromObject(object) {
            if (object instanceof $root.pb_11_play.pbLottery)
                return object;
            var message = new $root.pb_11_play.pbLottery();
            if (object.player) {
                if (!Array.isArray(object.player))
                    throw TypeError(".pb_11_play.pbLottery.player: array expected");
                message.player = [];
                for (var i = 0; i < object.player.length; ++i)
                    message.player[i] = object.player[i] >>> 0;
            }
            if (object.banker) {
                if (!Array.isArray(object.banker))
                    throw TypeError(".pb_11_play.pbLottery.banker: array expected");
                message.banker = [];
                for (var i = 0; i < object.banker.length; ++i)
                    message.banker[i] = object.banker[i] >>> 0;
            }
            if (object.result != null)
                message.result = String(object.result);
            if (object.playerPair != null)
                message.playerPair = Boolean(object.playerPair);
            if (object.bankerPair != null)
                message.bankerPair = Boolean(object.bankerPair);
            return message;
        };

        /**
         * Creates a plain object from a pbLottery message. Also converts values to other types if specified.
         * @function toObject
         * @memberof pb_11_play.pbLottery
         * @static
         * @param {pb_11_play.pbLottery} message pbLottery
         * @param {$protobuf.IConversionOptions} [options] Conversion options
         * @returns {Object.<string,*>} Plain object
         */
        pbLottery.toObject = function toObject(message, options) {
            if (!options)
                options = {};
            var object = {};
            if (options.arrays || options.defaults) {
                object.player = [];
                object.banker = [];
            }
            if (options.defaults) {
                object.result = "";
                object.playerPair = false;
                object.bankerPair = false;
            }
            if (message.player && message.player.length) {
                object.player = [];
                for (var j = 0; j < message.player.length; ++j)
                    object.player[j] = message.player[j];
            }
            if (message.banker && message.banker.length) {
                object.banker = [];
                for (var j = 0; j < message.banker.length; ++j)
                    object.banker[j] = message.banker[j];
            }
            if (message.result != null && message.hasOwnProperty("result"))
                object.result = message.result;
            if (message.playerPair != null && message.hasOwnProperty("playerPair"))
                object.playerPair = message.playerPair;
            if (message.bankerPair != null && message.hasOwnProperty("bankerPair"))
                object.bankerPair = message.bankerPair;
            return object;
        };

        /**
         * Converts this pbLottery to JSON.
         * @function toJSON
         * @memberof pb_11_play.pbLottery
         * @instance
         * @returns {Object.<string,*>} JSON object
         */
        pbLottery.prototype.toJSON = function toJSON() {
            return this.constructor.toObject(this, $protobuf.util.toJSONOptions);
        };

        return pbLottery;
    })();

    return pb_11_play;
})();