/**
 * 交易记录逻辑
 */
class Trade {
	private static _instance: Trade;
	static get instance(): Trade {
		if (!this._instance) {
			this._instance = new Trade();
		}
		return this._instance;
	}

	private uiTrade: UI_Trade;

	public constructor() {
	}

	openTradeView():void{
		if(this.uiTrade) {
			this.uiTrade.visible = true
		} else {
			Index.instance.uiIndex.addChild(this.getTradeView());
		}
	}

	closeTradeView():void{
		if(this.uiTrade) this.uiTrade.visible = false;
	}


	getTradeView(): UI_Trade {
		return this.uiTrade = UIController.instance.createView<UI_Trade>(UI_Trade);
	}
}