class UI_RateTypeItem extends UIBaseItemRenderer {
	private typeCount: eui.Label;
	private winR: eui.Image;
	private winB: eui.Image;
	private winG: eui.Image;
	private winRl: eui.Image;
	private winBr: eui.Image;


	public constructor() {
		super();
	}

	/**
	 * 创建完成时调用
	 */
	protected onCreate(): void {
		super.onCreate();
	}

	protected dataChanged(): void {
		let typeArr = ["winR","winB","winG","winRl","winBr"];
		
		typeArr.forEach((item)=>{
			this[item].visible = false;
		})

		this[typeArr[this.itemIndex]].visible = true;
		this.typeCount.text = `${this.data.name}\n${this.data.count}`;
	}
}